#include "mcc_generated_files/mcc.h"

//--------------萔`----------------------------
#define TIME_OFF -1         //^C}[gpȂꍇ
#define TIME_UP 0           //^CAbv
#define TIME_LED_CNT_MAX 20  //200mso
#define TIME_LED_CNT_MAX2 10    //100mso
#define TIME_LED_CNT_MAX3 5    //50mso
#define TIME_BASE_MAX 10     //x[X^C}JEgl
//--------------ϐ`----------------------------
int16_t cnt10ms; 
int16_t TimerLed1;
int16_t TimerLed2;
uint8_t ledmode;

//--------------֐ߐ錾----------------------------
void mainApp(void);     //C֐ł̏
void TMR0_INT(void);    //ϰ0荞݂ł̏
void mainTimer(void);

/* Main application */
void main(void)
{
    SYSTEM_Initialize();
    TMR0_SetInterruptHandler(TMR0_INT);
    INTERRUPT_GlobalInterruptEnable();
    INTERRUPT_PeripheralInterruptEnable();
    
    while (1)
    {
        mainApp();
        mainTimer();
    }
}
/* TMR0I[o[t[荞݂ł̏  */
void TMR0_INT(void){  
    ++cnt10ms;
}
/* ^C}Ǘ֐ */
void mainTimer(void){
 
    if( cnt10ms >= TIME_BASE_MAX){ //K񐔃I[o[t[
        cnt10ms -= TIME_BASE_MAX;
        
        if( TimerLed1 > TIME_UP ){
            --TimerLed1; //^C}XV
        }
        
        if( TimerLed2 > TIME_UP ){
            --TimerLed2;
        }
    }
}
/* main  */
void mainApp(void){
    
    if( TimerLed1 == TIME_UP ){ //^CAbv
        if( IO_RB0_GetValue()){
            TimerLed1 = TIME_LED_CNT_MAX;   //^CAbv̂OFFɂ
            IO_RA3_SetLow();
        }else{
            TimerLed1 = TIME_LED_CNT_MAX3;   //^CAbv̂OFFɂ
            IO_RA3_SetHigh();
        } 
        IO_RA7_Toggle(); //RA7̏o͂𔽓]
    }
    
    if( TimerLed2 == TIME_UP){
        TimerLed2 = TIME_LED_CNT_MAX2;
        
		switch( ledmode ){ //_^C~O؂ւ
			case 0:
				IO_RB6_SetHigh();	//_
				break;
			case 1:
				IO_RB6_SetLow();	//
				break;
			case 2:
				IO_RB6_SetHigh();	//_
				break;
			case 3:
			case 4:
			case 5:
			case 6:
			case 7:
            case 8:
            case 9:
				IO_RB6_SetLow();	//
				break;
			}
			
		if( ++ledmode >= 10 ){
            ledmode = 0;
        }
    }
}
/*End of File */